Intel® X86 Encoder Decoder: Data Fields

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - x -

- x : xed_immdis_values_t
- x_APX_CC_EVEX_BYTE3_ENC : xed_encoder_iforms_s
- x_APX_EVEX_BYTE3_ENC : xed_encoder_iforms_s
- x_AVX512_EVEX_BYTE3_ENC : xed_encoder_iforms_s
- x_BRDISP32 : xed_encoder_iforms_s
- x_BRDISP64 : xed_encoder_iforms_s
- x_BRDISP8 : xed_encoder_iforms_s
- x_BRDISPz : xed_encoder_iforms_s
- x_DISP_NT : xed_encoder_iforms_s
- x_EVAPX_SCC : xed_encoder_iforms_s
- x_EVEX_62_REXR_ENC : xed_encoder_iforms_s
- x_EVEX_BYTE3_ENC : xed_encoder_iforms_s
- x_EVEX_PP_ENC : xed_encoder_iforms_s
- x_EVEX_REXB4_MAP_ENC : xed_encoder_iforms_s
- x_EVEX_REXB_ENC : xed_encoder_iforms_s
- x_EVEX_REXR4_ENC : xed_encoder_iforms_s
- x_EVEX_REXW_VVVV_ENC : xed_encoder_iforms_s
- x_EVEX_REXX_ENC : xed_encoder_iforms_s
- x_EVEX_U_ENC : xed_encoder_iforms_s
- x_MEMDISP : xed_encoder_iforms_s
- x_MEMDISP16 : xed_encoder_iforms_s
- x_MEMDISP32 : xed_encoder_iforms_s
- x_MEMDISP8 : xed_encoder_iforms_s
- x_MEMDISPv : xed_encoder_iforms_s
- x_MODRM_MOD_ENCODE : xed_encoder_iforms_s
- x_MODRM_RM_ENCODE : xed_encoder_iforms_s
- x_MODRM_RM_ENCODE_EA16_SIB0 : xed_encoder_iforms_s
- x_MODRM_RM_ENCODE_EA32_SIB0 : xed_encoder_iforms_s
- x_MODRM_RM_ENCODE_EA64_SIB0 : xed_encoder_iforms_s
- x_PREFIX_ENC : xed_encoder_iforms_s
- x_REMOVE_SEGMENT : xed_encoder_iforms_s
- x_REX_PREFIX_ENC : xed_encoder_iforms_s
- x_SE_IMM8 : xed_encoder_iforms_s
- x_SIB_NT : xed_encoder_iforms_s
- x_SIBBASE_ENCODE : xed_encoder_iforms_s
- x_SIBBASE_ENCODE_SIB1 : xed_encoder_iforms_s
- x_SIBINDEX_ENCODE : xed_encoder_iforms_s
- x_SIMM8 : xed_encoder_iforms_s
- x_SIMMz : xed_encoder_iforms_s
- x_UIMM16 : xed_encoder_iforms_s
- x_UIMM32 : xed_encoder_iforms_s
- x_UIMM8 : xed_encoder_iforms_s
- x_UIMM8_1 : xed_encoder_iforms_s
- x_UIMMv : xed_encoder_iforms_s
- x_VEX_ESCVL_ENC : xed_encoder_iforms_s
- x_VEX_MAP_ENC : xed_encoder_iforms_s
- x_VEX_REG_ENC : xed_encoder_iforms_s
- x_VEX_REXR_ENC : xed_encoder_iforms_s
- x_VEX_REXXB_ENC : xed_encoder_iforms_s
- x_VEX_TYPE_ENC : xed_encoder_iforms_s
- x_VEXED_REX : xed_encoder_iforms_s
- x_VSIB_ENC : xed_encoder_iforms_s
- x_VSIB_ENC_BASE : xed_encoder_iforms_s
- x_XOP_MAP_ENC : xed_encoder_iforms_s
- x_XOP_REXXB_ENC : xed_encoder_iforms_s
- x_XOP_TYPE_ENC : xed_encoder_iforms_s
- xml_a : xed_format_options_t
- xml_f : xed_format_options_t